directories
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = false;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
end_driver;

data

  var
    str1 : string;
  end_var;

end_data;

instrument

  panel panel_1;
    gui
      owner = background;
      position = 130, 55, 800, 775;
      window
        type = normal;
        disable = zoom, maximize;
      end_window;
    end_gui;
    colors
      color = color_window;
    end_colors;
  end_panel;

  switch switch_1;
    gui
      owner = panel_1;
      position = 490, 725, 55, 25;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    mode = text_button;
    true_text = 'Next';
    false_text = 'Next';
    receivers = camera_1;
  end_switch;

  image image_1;
    gui
      owner = panel_1;
      position = 15, 705, 60, 65;
    end_gui;
    file = 'cweb2.png';
  end_image;

  image image_1;
    gui
      owner = panel_1;
      position = 565, 720, 230, 30;
    end_gui;
    file = 'cw.png';
  end_image;

  label label_1;
    gui
      owner = panel_1;
      position = 235, 35;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Courier New (Central European)', 24, bold;
      text = 'Barcode & Datamatrix Reader';
    end_text_list;
  end_label;

  image image_4;
    gui
      owner = panel_1;
      position = 0, 0, 185, 100;
    end_gui;
    file = 'vision.PNG';
  end_image;

  string_display string_display_3;
    activity
      period = 1;
    end_activity;
    gui
      owner = panel_1;
      position = 185, 720, 280, 40;
    end_gui;
    expression = str1;
    font = 'Trebuchet MS (Central European)', 16, bold;
    justify = left;
    colors
      paper = lgray;
    end_colors;
  end_string_display;

  camera camera_1;
    const
      broj = 0;
    end_const;
    var
      cislo : real {init_value = 0.6};
    end_var;

    activity
      period = infinite;
    end_activity;
    gui
      owner = panel_1;
      position = 0, 100, 800, 600;
    end_gui;
    camera_type = image_file;
    camera_files = 'datamatrix_inverse_mii.PNG', 'bcodeCode39.jpg', 'bcodeCode128.jpg', 'bCodeEAN13_1.jpg', 'bCodeEAN13_2.jpg', 'datamatrix_amd.PNG';
    exp_time = 0;
    max_exp_time = 8;
    frame_mode = on_activate;
    frame_rate = 25;
    scale_units = 'px';
    scale_units_long = 'pixely';
    image_processing
      init_data
        flag stepcondition_EAN13;
          value = false;
        end_flag;
        number angle;
          value = 80, 128;
        end_number;
        string barcoderesult;
          value = '';
        end_string;
        rectangular_region rectangular_region_1;
          x = 409.5;
          y = 286.5;
          width = 479;
          height = 387;
          angle = 0;
        end_rectangular_region;
        rectangular_region rectangular_region_2;
          x = 467.5;
          y = 239;
          width = 687.49322389236;
          height = 84.36863814289;
          angle = 346.54676469354;
        end_rectangular_region;
        flag stepcondition_code39;
          value = false;
        end_flag;
        flag stepcondition_code128;
          value = false;
        end_flag;
        string string1;
          value = 'iif(read_barcode, false, true)';
        end_string;
      end_init_data;
      steps
        step barcode_EAN13;
          condition = true;
          input = source, , 30, angle, 2, false, true;
          output = barcoderesult;
          result = read_barcode;
        end_step;
        step eval_flag;
          condition = true;
          input = string1;
          output = condition;
        end_step;
        step barcode_Code39;
          condition = condition;
          input = source, rectangular_region_1, 10, 0, 1, , , , ;
          output = barcoderesult;
          result = read_barcode;
        end_step;
        step eval_flag;
          condition = condition;
          input = string1;
          output = condition;
        end_step;
        step barcode_Code128;
          condition = condition;
          input = source, rectangular_region_2, 10, 0, 1, , ;
          output = barcoderesult;
          result = read_barcode;
        end_step;
        step eval_flag;
          condition = condition;
          input = string1;
          output = condition;
        end_step;
        step datamatrix;
          condition = condition;
          input = source, , , ;
          output = barcoderesult;
          result = read_barcode;
        end_step;
        step eval_flag;
          condition = condition;
          input = string1;
          output = condition;
        end_step;
        step datamatrix;
          condition = condition;
          input = source, , true, ;
          output = barcoderesult;
        end_step;
      end_steps;
      output_data
        string barcoderesult;
          value = str1;
        end_string;
      end_output_data;
    end_image_processing;
    avi
      file_size = 100;
      folder_history = day;
      file_history = hour;
    end_avi;
    editor_options
      clear_overlay_before_step = false;
      auto_repeat_start_delay = 100;
      auto_repeat_result_delay = 400;
      edit_color = lred;
      coord_color = lblue;
      editor_exp_time = 0;
      editor_max_exp_time = 8;
      splitters = 0.5768024921, 0.5, 0.1666666716, 0.8333333135;
      window_maximized = true;
      window = -4, -4, 1688, 1028;
      light_1_enable = false;
      light_2_enable = false;
      light_3_enable = false;
      light_4_enable = false;
      light_1_flash = false;
      light_2_flash = false;
      light_3_flash = false;
      light_4_flash = false;
      light_1_intensity = 0;
      light_2_intensity = 0;
      light_3_intensity = 0;
      light_4_intensity = 0;
    end_editor_options;

    procedure OnActivate();
           begin
    end_procedure;

    procedure OnImage();
           begin
             string_display_3.SetValue( str1 );
    end_procedure;

  end_camera;

end_instrument;

